package com.ibm.jp.sample;
import java.io.IOException;
import java.io.*;
import javax.inject.Inject;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.bind.JAXB;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.DatatypeConverter;
import javax.xml.bind.*;
import com.ibm.jtc.jax.tools.xjc.runtime.*;
import com.ibm.jp.sample.Teststr;

@WebServlet("/doAction")
public class DoActionServlet extends HttpServlet {
       
    public DoActionServlet() {
        super();
    }

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String req_uri = request.getRequestURI();
		StringBuffer req_url = request.getRequestURL();

    try {
      JAXBContext jc = JAXBContext.newInstance("com.ibm.jp.sample");
      System.out.println(jc.getClass().getName());
      Marshaller m = jc.createMarshaller();
      System.out.println(m.getClass().getName());
      Teststr teststr = new Teststr();
      teststr.setApostrophe("'");
      teststr.setQuote("\"");
      teststr.setAmpersand("&");
      teststr.setGreaterthan(">");
      teststr.setLessthan("<");
      m.marshal(teststr, System.out);
    }
    catch (Exception e){
      throw new RuntimeException(e);
    }

		response.setCharacterEncoding("Cp943C");
		response.setHeader("Content-Language", "jp");
    PrintWriter out = response.getWriter();
    out.println("<html><head><title>JAXB test</title></head>");
    out.println("<body>Look at SystemOut.log</body></html>");
	}
}
