package com.ibm.jp.sample;
import java.io.*;
import javax.xml.bind.JAXB;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.DatatypeConverter;
import com.ibm.jp.sample.Teststr;

public class JAXBTest {
  public static void main(String[] args){
    Teststr teststr = new Teststr();
    teststr.setApostrophe("'");
    teststr.setQuote("\"");
    teststr.setAmpersand("&");
    teststr.setGreaterthan(">");
    teststr.setLessthan("<");

    try {
      JAXBContext jc = JAXBContext.newInstance(Teststr.class);
      System.out.println(jc.getClass().getName());
			Marshaller m = jc.createMarshaller();
      System.out.println(m.getClass().getName());
    	m.marshal(teststr, System.out); 
    }
    catch (Exception e){
      throw new RuntimeException(e);
    }
  }
}
